Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.8 Release 4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.filetypes
Class RegisterFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jdesktop.jdic.filetypes.AssociationException
                  org.jdesktop.jdic.filetypes.RegisterFailedException

All Implemented Interfaces:
  java.io.Serializable

public class RegisterFailedException
extends AssociationException

A `RegisterFailedException` is thrown by certain methods of `AssociationService` while the registeration or unregisteration operation fails.

See Also:
  `AssociationService`, Serialized Form

Constructor Summary
`RegisterFailedException()` Constructs a `RegisterFailedException` object with no detail message.
`RegisterFailedException(java.lang.String msg)` Constructs a `RegisterFailedException` object with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegisterFailedException

    public RegisterFailedException()

  Constructs a `RegisterFailedException` object with no detail message.

### RegisterFailedException

    public RegisterFailedException(java.lang.String msg)

  Constructs a `RegisterFailedException` object with the specified detail message.

  Parameters:
    `msg` - the detail message pertaining to this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.8 Release 4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.